Subject: Title attribute type

From: "Franco Ruggieri" <[email-masked]>
Date: Tue, 11 Dec 2001 08:58:06 +0100

I will very much appreciate having the following doubt solved.

In RFC 3039 section 3.2.1, the "title" attribute (defind in section X.520,
5.4.3) is included in the subjectDirectoryAttributes extension.
In RFC 2459 (and in its "son") the same "title" attribute is included among
the issuer & subject fields, as per sections 4.1.2.4 and 4.1.2.6.

Where is it to be correctly located, namely in a Qualified Certificate?

Moreover: regardless of its collocation, since it may be a bmpString (or,
preferably, a UTF8String), do you deem it acceptable it has a format
like the following one:
"0.1.234.5.6.7.#LousyFirm - Italy Country Manager"

Once more: Thanks in advance whomever helps :-)
Franco
------------------------------------------
Ing. Franco RUGGIERI
FIR DIG Consultants
Lungomare delle Sirene 138
00040 POMEZIA (ROMA)
tel.   +39 06 9172078
cell: +39 348 4431016

---

From: "Tom Gindin" <[email-masked]>
Date: Tue, 11 Dec 2001 08:04:27 -0500

Franco:

     Since QC is effectively a sub-profile of RFC 2459, and almost any
directory attribute omitted from subject can go into
subjectDirectoryAttributes, I would think that QC means what it says, while
RFC 2459 is just saying that for SOME legal certificates title goes in the
DN's.

          Tom Gindin

"Franco Ruggieri" <[email-masked]>@mail.imc.org on 12/11/2001
02:58:06 AM

Sent by:  [email-masked]

To:   <[email-masked]>
cc:
Subject:  Title attribute type